/*
 * hattrick.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 *
 * Copyright: See COPYING file that comes with this distribution
 */

#include <vector>
#include <vdr/interface.h>
#include <vdr/menu.h>
#include <vdr/plugin.h>

#include "setup_info.h"
#include "debug.h"
#include "settings.h"

// --- cSetupInfo ---------------------------------------------------------


cSetupInfo::cSetupInfo(void):cOsdMenu( tr("Info"), 20)
{
    // OSD-Elemente aufbauen
    BuildItems();
}


void cSetupInfo::BuildItems()
{
    Add(new cOsdItem( tr("Version: "PLUGIN_VERSION) ));

    if(cSettings::GetInstance( ).IsDebugmode( ) )
        Add(new cOsdItem( tr("DEBUG active") ));

    Display( );
}


eOSState cSetupInfo::ProcessKey(eKeys Key)
{
    eOSState state = cOsdMenu::ProcessKey(Key);

    switch (state)
    {
    case osUnknown:
        switch (Key)
        {
        case kOk:
            state = osBack;
            break;

        case kYellow:
            Display();
            break;

        default:
            break;
        }
        break;
    case osBack:

        break;
    default:
        break;
    }
    return state;
}
